Create an authenticated email canvas embed session
curl --request POST \
--url https://brew.new/api/v1/canvas/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": {
"type": "group",
"groupId": "<string>"
},
"user": {
"externalId": "<string>",
"name": "<string>"
},
"parentOrigin": "<string>",
"permissions": [
"read",
"edit",
"presence"
]
}
'import requests
url = "https://brew.new/api/v1/canvas/sessions"
payload = {
"target": {
"type": "group",
"groupId": "<string>"
},
"user": {
"externalId": "<string>",
"name": "<string>"
},
"parentOrigin": "<string>",
"permissions": ["read", "edit", "presence"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target: {type: 'group', groupId: '<string>'},
user: {externalId: '<string>', name: '<string>'},
parentOrigin: '<string>',
permissions: ['read', 'edit', 'presence']
})
};
fetch('https://brew.new/api/v1/canvas/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://brew.new/api/v1/canvas/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target' => [
'type' => 'group',
'groupId' => '<string>'
],
'user' => [
'externalId' => '<string>',
'name' => '<string>'
],
'parentOrigin' => '<string>',
'permissions' => [
'read',
'edit',
'presence'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://brew.new/api/v1/canvas/sessions"
payload := strings.NewReader("{\n \"target\": {\n \"type\": \"group\",\n \"groupId\": \"<string>\"\n },\n \"user\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"parentOrigin\": \"<string>\",\n \"permissions\": [\n \"read\",\n \"edit\",\n \"presence\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://brew.new/api/v1/canvas/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target\": {\n \"type\": \"group\",\n \"groupId\": \"<string>\"\n },\n \"user\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"parentOrigin\": \"<string>\",\n \"permissions\": [\n \"read\",\n \"edit\",\n \"presence\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://brew.new/api/v1/canvas/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target\": {\n \"type\": \"group\",\n \"groupId\": \"<string>\"\n },\n \"user\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"parentOrigin\": \"<string>\",\n \"permissions\": [\n \"read\",\n \"edit\",\n \"presence\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"sessionId": "<string>",
"embedUrl": "<string>",
"bootstrapToken": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"target": {
"type": "group",
"groupId": "<string>"
}
}
Emails
Create an authenticated email canvas embed session
Create a short-lived grant for exactly one group or email. Call from your backend after authenticating your user and authorizing the target. Credentials are returned once; response replay is disabled. API keys remain server-side.
POST
/
v1
/
canvas
/
sessions
Create an authenticated email canvas embed session
curl --request POST \
--url https://brew.new/api/v1/canvas/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": {
"type": "group",
"groupId": "<string>"
},
"user": {
"externalId": "<string>",
"name": "<string>"
},
"parentOrigin": "<string>",
"permissions": [
"read",
"edit",
"presence"
]
}
'import requests
url = "https://brew.new/api/v1/canvas/sessions"
payload = {
"target": {
"type": "group",
"groupId": "<string>"
},
"user": {
"externalId": "<string>",
"name": "<string>"
},
"parentOrigin": "<string>",
"permissions": ["read", "edit", "presence"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target: {type: 'group', groupId: '<string>'},
user: {externalId: '<string>', name: '<string>'},
parentOrigin: '<string>',
permissions: ['read', 'edit', 'presence']
})
};
fetch('https://brew.new/api/v1/canvas/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://brew.new/api/v1/canvas/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target' => [
'type' => 'group',
'groupId' => '<string>'
],
'user' => [
'externalId' => '<string>',
'name' => '<string>'
],
'parentOrigin' => '<string>',
'permissions' => [
'read',
'edit',
'presence'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://brew.new/api/v1/canvas/sessions"
payload := strings.NewReader("{\n \"target\": {\n \"type\": \"group\",\n \"groupId\": \"<string>\"\n },\n \"user\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"parentOrigin\": \"<string>\",\n \"permissions\": [\n \"read\",\n \"edit\",\n \"presence\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://brew.new/api/v1/canvas/sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target\": {\n \"type\": \"group\",\n \"groupId\": \"<string>\"\n },\n \"user\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"parentOrigin\": \"<string>\",\n \"permissions\": [\n \"read\",\n \"edit\",\n \"presence\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://brew.new/api/v1/canvas/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target\": {\n \"type\": \"group\",\n \"groupId\": \"<string>\"\n },\n \"user\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"parentOrigin\": \"<string>\",\n \"permissions\": [\n \"read\",\n \"edit\",\n \"presence\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"sessionId": "<string>",
"embedUrl": "<string>",
"bootstrapToken": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"target": {
"type": "group",
"groupId": "<string>"
}
}
Authorizations
bearerAuthapiKeyAuth
Send your Brew API key as Authorization: Bearer brew_xxx.
Headers
The brand this request acts on. REQUIRED for organization-scoped credentials (otherwise 400 BRAND_ID_REQUIRED — there is no default brand); list ids with GET /v1/brands. Brand-scoped credentials may omit it, and sending a different brand returns 403 BRAND_SCOPE_MISMATCH. A brand outside your organization returns 404 BRAND_NOT_FOUND.
Required string length:
1 - 64Body
application/json
Was this page helpful?